Package Gnumed :: Package timelinelib :: Package config :: Module shortcut :: Class ShortcutController |
[frames] | no frames]

# Class ShortcutController

source code

    object --+
             |
            ShortcutController

Instance Methods
__init__(self, shortcut_config, wxItems) x.__init__(...) initializes x; see help(type(x)) for signature | source code
load_config_settings(self) | source code
get_functions(self) | source code
get_modifiers(self) | source code
get_shortcuts(self) | source code
get_function(self, shortcut) | source code
get_modifier_and_key(self, function) | source code
is_valid(self, modifier, shortcut_key) | source code
exists(self, shortcut) | source code
wxid_exists(self, wxid) | source code
is_function_key(self, shortcut) | source code
add_navigation_functions(self) | source code
edit(self, function, new_shortcut) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, shortcut_config, wxItems) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)